TransactionalDataRegion (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.spi
Interface TransactionalDataRegion

All Superinterfaces:
  Region

All Known Subinterfaces:
  CollectionRegion, EntityRegion, NaturalIdRegion

All Known Implementing Classes:
  BaseTransactionalDataRegion, CollectionRegionImpl, EhcacheCollectionRegion, EhcacheEntityRegion, EhcacheNaturalIdRegion, EhcacheTransactionalDataRegion, EntityRegionImpl, NaturalIdRegionImpl, QueryResultsRegionImpl

    public interface TransactionalDataRegion

extends Region

Defines contract for regions which hold transactionally-managed data.

The data is not transactionally managed within the region; merely it is transactionally-managed in relation to its association with a particular `Session`.

Method Summary
`CacheDataDescription` | `getCacheDataDescription()`
`boolean` | `isTransactionAware()` Is the underlying cache implementation aware of (and "participating in") ongoing JTA transactions? Regions which report that they are transaction-aware are considered "synchronous", in that we assume we can immediately (i.e.

Methods inherited from interface org.hibernate.cache.spi.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Method Detail

### isTransactionAware

    boolean isTransactionAware()

  Is the underlying cache implementation aware of (and "participating in") ongoing JTA transactions?

  Regions which report that they are transaction-aware are considered "synchronous", in that we assume we can immediately (i.e. synchronously) write the changes to the cache and that the cache will properly manage application of the written changes within the bounds of ongoing JTA transactions. Conversely, regions reporting false are considered "asynchronous", where it is assumed that changes must be manually delayed by Hibernate until we are certain that the current transaction is successful (i.e. maintaining READ_COMMITTED isolation).

  Returns:
    True if transaction aware; false otherwise.

### getCacheDataDescription

    CacheDataDescription getCacheDataDescription()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.